Skip to main content
PATCH
/
v1
/
activities
/
{id}
Update activity
curl --request PATCH \
  --url https://api.oneofnone.io/v1/activities/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "title": "<string>",
  "caption": "<string>"
}
'
{
  "id": 123,
  "type": "<string>",
  "created_at": "<string>",
  "title": "<string>",
  "content": "<string>",
  "location": "<string>",
  "token_id": 123,
  "user_id": "<string>",
  "image": {
    "url": "<string>"
  },
  "video": {
    "url": "<string>",
    "poster_url": "<string>"
  },
  "gallery": [
    {
      "url": "<string>",
      "file_type": "<string>",
      "poster_url": "<string>",
      "order": 123
    }
  ],
  "updated_at": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Body

application/json
title
string
required
Required string length: 1 - 100
caption
string
Required string length: 1 - 500

Response

200 - application/json

Successful response

id
number
required
type
string
required
created_at
string
required
title
string | null
content
string | null
location
string | null
token_id
number | null
user_id
string | null
image
object
video
object
updated_at
string | null